org.apache.torque.map

## Class InheritanceMap

- java.lang.Object
- - org.apache.torque.map.InheritanceMap

- All Implemented Interfaces:
    Serializable

      public class InheritanceMap
      extends Object
      implements Serializable

  InheritanceMap is used to model OM inheritance classes.
  Version:
    $Id: InheritanceMap.java 1448414 2013-02-20 21:06:35Z tfischer $
  Author:
    Greg Monroe
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InheritanceMap(ColumnMap column, String key, String className, String ancestor)` Create an inheritance map object.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getClassName()` Returns the class name for this InheritanceMap.
    `ColumnMap` | `getColumn()` Returns the column this inheritance map belongs to.
    `String` | `getExtends()` Returns the ancestor class for the class described by this InheritanceMap.
    `String` | `getKey()` Returns the key by which this inheritanceMap is activated.
    `void` | `setClassName(String className)` Sets the class name for this InheritanceMap.
    `void` | `setColumn(ColumnMap column)` Sets the column this inheritance map belongs to.
    `void` | `setExtends(String ancestor)` Sets the ancestor class for the class described by this InheritanceMap.
    `void` | `setKey(String key)` Sets the key by which this inheritanceMap is activated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InheritanceMap

          public InheritanceMap(ColumnMap column,
                                String key,
                                String className,
                                String ancestor)

      Create an inheritance map object.
      Parameters:
        `column` - The column this inheritance map belongs to.
        `key` - Key to determine which subclass applies
        `className` - package.Name of sub class to use for record.
        `ancestor` - package.Name of class that className extends.

  - ### Method Detail

    - #### getExtends

          public String getExtends()

      Returns the ancestor class for the class described by this InheritanceMap.
      Returns:
        the ancestor class for the class described by this InheritanceMap.

    - #### setExtends

          public void setExtends(String ancestor)

      Sets the ancestor class for the class described by this InheritanceMap.
      Parameters:
        `ancestor` - The ancestor for the class described by this InheritanceMap.

    - #### getClassName

          public String getClassName()

      Returns the class name for this InheritanceMap.
      Returns:
        The class name for this InheritanceMap.

    - #### setClassName

          public void setClassName(String className)

      Sets the class name for this InheritanceMap.
      Parameters:
        `className` - The className for this InheritanceMap.

    - #### getColumn

          public ColumnMap getColumn()

      Returns the column this inheritance map belongs to.
      Returns:
        the column this inheritance map belongs to.

    - #### setColumn

          public void setColumn(ColumnMap column)

      Sets the column this inheritance map belongs to.
      Parameters:
        `column` - the column this inheritance map belongs to.

    - #### getKey

          public String getKey()

      Returns the key by which this inheritanceMap is activated.
      Returns:
        The key by which this inheritanceMap is activated.

    - #### setKey

          public void setKey(String key)

      Sets the key by which this inheritanceMap is activated.
      Parameters:
        `key` - The key by which this inheritanceMap is activated.

Copyright © 2000–2020 The Apache Software Foundation. All rights reserved.